<?php
$updates['0.9.2'] = array(
	'querys' => array(
		# Tabelle für die Trainingszeiten
		"CREATE TABLE ".DB_PREFIX."trainingszeiten (gruppenid SMALLINT UNSIGNED NOT NULL, von TIME NOT NULL, bis TIME NOT NULL, wochentag TINYINT UNSIGNED NOT NULL, trainingsortid TINYINT UNSIGNED NULL, inferien CHAR(1) NOT NULL DEFAULT '0') ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci",
		"ALTER TABLE ".DB_PREFIX."trainingszeiten ADD UNIQUE (gruppenid, von, wochentag)",
		# Tabelle für die Trainingsorte
		"CREATE TABLE ".DB_PREFIX."trainingsorte (id TINYINT UNSIGNED NOT NULL AUTO_INCREMENT, bezeichnung VARCHAR(50) NOT NULL, art CHAR(2) NOT NULL, sort SMALLINT UNSIGNED NOT NULL, PRIMARY KEY (id)) ENGINE=MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci",
		# Tabelle für die Gruppen
		"CREATE TABLE ".DB_PREFIX."gruppen (id smallint(5) unsigned NOT NULL AUTO_INCREMENT, bezeichnung varchar(50) NOT NULL, kurz VARCHAR(15) NOT NULL, sort SMALLINT UNSIGNED NOT NULL, wechselndetrainer CHAR(1) NOT NULL DEFAULT '0', PRIMARY KEY (id)) ENGINE=MyISAM CHARACTER SET utf8 COLLATE utf8_general_ci",
		# Gruppentabelle und Trainingszeitentabelle aus alter Trainingsgruppentabelle füllen, Trainingsgruppentabelle entsorgen
		"INSERT INTO ".DB_PREFIX."gruppen (id, bezeichnung, sort) SELECT id, kommentar, row FROM (SELECT tg.id, tg.kommentar, @row := @row + 1 as row FROM ".DB_PREFIX."trainingsgruppen as tg, (SELECT @row := 0) r ORDER BY tg.wochentag, tg.anfangszeit) as rn",
		"INSERT INTO ".DB_PREFIX."trainingszeiten (gruppenid, von, bis, wochentag) SELECT id, anfangszeit, endzeit, wochentag FROM ".DB_PREFIX."trainingsgruppen",
		"DROP TABLE ".DB_PREFIX."trainingsgruppen",
		# diverse Tabellen und Spalten umbenennen
		"RENAME TABLE ".DB_PREFIX."trainingsgruppen_uebungsleiter TO ".DB_PREFIX."gruppen_uebungsleiter",
		"ALTER TABLE ".DB_PREFIX."gruppen_uebungsleiter CHANGE trainingsgruppenid gruppenid TINYINT(3) UNSIGNED NOT NULL DEFAULT '0'",
		"RENAME TABLE ".DB_PREFIX."mitglieder_trainingsgruppen TO ".DB_PREFIX."mitglieder_gruppen",
		"ALTER TABLE ".DB_PREFIX."mitglieder_gruppen CHANGE trainingsgruppenid gruppenid TINYINT(3) UNSIGNED NOT NULL DEFAULT '0'",
		"RENAME TABLE ".DB_PREFIX."trainingsgruppen_wettkaempfe TO ".DB_PREFIX."gruppen_wettkaempfe",
		"ALTER TABLE ".DB_PREFIX."gruppen_wettkaempfe CHANGE trainingsgruppenid gruppenid TINYINT(3) UNSIGNED NOT NULL",
		# Tabelle für die Tags und die Verknüpfungstabelle zwischen Gruppen und Tags
		"CREATE TABLE ".DB_PREFIX."tags (id SMALLINT UNSIGNED NOT NULL AUTO_INCREMENT, titel VARCHAR(50) NOT NULL, PRIMARY KEY (id)) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci",
		"ALTER TABLE ".DB_PREFIX."tags ADD sort TINYINT UNSIGNED NOT NULL",
		"CREATE TABLE ".DB_PREFIX."gruppen_tags (gruppenid SMALLINT UNSIGNED NOT NULL, tagid SMALLINT UNSIGNED NOT NULL) ENGINE = MYISAM",
		# Bezeichnungen/IDs der Rechte korrigieren
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Gruppen anzeigen' WHERE id = 'tr_gruppen_anzeigen'",
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Gruppen ändern', sort = 310 WHERE id = 'tr_gruppen_bearbeiten'",
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Zuordnung Mitglieder-Gruppen anzeigen', sort = 311 WHERE id = 'tr_gruppen_mitglieder_anzeigen'",
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Zuordnung Mitglieder-Gruppen bearbeiten', sort = 311 WHERE id = 'tr_gruppen_mitglieder_bearbeiten'",
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Mitglieder - anzeigen (Gruppen)', id = 'm_anzeigen_gruppen' WHERE id = 'm_anzeigen_trainingsgruppen'",
		"UPDATE ".DB_PREFIX."rechtegruppen_rechte SET rechteid = 'm_anzeigen_gruppen' WHERE rechteid = 'm_anzeigen_trainingsgruppen'",
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Zeiten - eingeben (Gruppenweise)', id = 'z_eingeben_gruppe' WHERE id = 'z_eingeben_trainingsgruppe'",
		"UPDATE ".DB_PREFIX."rechtegruppen_rechte SET rechteid = 'z_eingeben_gruppe' WHERE rechteid = 'z_eingeben_trainingsgruppe'",
		"UPDATE ".DB_PREFIX."rechte SET bezeichnung = 'Export - Gruppenzuordnung', id = 'e_gruppenzuordung' WHERE id = 'e_trainingsgruppenzuordung'",
		"UPDATE ".DB_PREFIX."rechtegruppen_rechte SET rechteid = 'e_gruppenzuordung' WHERE rechteid = 'e_trainingsgruppenzuordung'"
	),
	'kontrollquery' => "SELECT 1 as ok FROM information_schema.TABLES WHERE TABLE_SCHEMA = '".DB_NAME."' AND TABLE_NAME = '".DB_PREFIX."trainingszeiten'",
	'neuerechte' => array( 
		'tr_trainingsorte_anzeigen' => array(
			'sort' => '312',
			'bezeichnung' => 'Trainingsorte anzeigen'
		),
		'tr_trainingsorte_bearbeiten' => array(
			'sort' => '312',
			'bezeichnung' => 'Trainingsorte bearbeiten'
		),
		'tr_tags_bearbeiten' => array(
			'sort' => '313',
			'bezeichnung' => 'Tags bearbeiten'
		)
	),
	'neueeinstellungen' => array(
		'user' => array(
			array(
				'gruppe' => 'anwesenheitsliste',
				'einstellung' => 'standardgruppentag'
			),
			array(
				'gruppe' => 'dateisystem',
				'einstellung' => 'csvdateikodierung'
			)
		)
	),
	'hinweise' => array(
		'nach dem Update müssen die ehemaligen Trainingsgruppen (jetzt: Gruppen) überprüft und ggf. überarbeitet werden (v.a. die Kurzbezeichnung muss gesetzt werden)',
		'mit dem Update wurde das Standardlayout auf das bei dem die Navigation am oberen Fensterrand steht, umgestellt; alle Usereinstellungen wurden entsprechend mit umgestellt'
	),
	'funktion' => 'anfang'
);

function update_0_9_2(){
	$dateien = glob(PFAD_INIDATEIEN.'userconf_*');
	require_once(PFAD_INCLUDE.'func/schreibe_ini_datei.inc.php');
	foreach($dateien as $datei){
		$inh = parse_ini_file($datei, true);
		if($inh['emailbenachrichtigung']['terminbenachrichtigungszeitraum'] == 'woche' and $inh['emailbenachrichtigung']['terminbenachrichtigungen'] == 'termine:|gruppen:|personen:'){
			$inh['emailbenachrichtigung']['terminbenachrichtigungszeitraum'] = 'nicht';	
		}
		if($inh['globaleeinstellungen']['style'] == 'screen_original.css'){
			$inh['globaleeinstellungen']['style'] = 'screen_navoben.css';	
		}
		schreibe_ini_datei($datei, $inh, true);
	}
}

# EOF
?>